function [dist,daily_err] = daily_err_cal(flux_s_u,flux_d_u,flux_s_v,flux_d_v,a_block,h,dt)

for i = 1:size(flux_s_v,1)
    if i ==1
        
        s_x_b = 0;
        s_y_b = 0;
        d_x_b = 0;
        d_y_b = 0;
        s_x(i) = s_x_b + flux_s_u(i)*a_block*dt./h;
        s_y(i) = s_y_b + flux_s_v(i)*a_block*dt./h;
        d_x(i) = d_x_b + flux_d_u(i)*a_block*dt./h;
        d_y(i) = d_y_b + flux_d_v(i)*a_block*dt./h;
    else
        
        s_x_b = s_x(i-1);
        s_y_b = s_y(i-1);
        d_x_b = d_x(i-1);
        d_y_b = d_y(i-1);
        s_x(i) = s_x_b + flux_s_u(i)*a_block*dt./h;
        s_y(i) = s_y_b + flux_s_v(i)*a_block*dt./h;
        d_x(i) = d_x_b + flux_d_u(i)*a_block*dt./h;
        d_y(i) = d_y_b + flux_d_v(i)*a_block*dt./h;
        dist(i) = sqrt((s_x(i)-d_x(i)).^2 + (s_y(i)-d_y(i)).^2);
    end
end

daily_err = sqrt((flux_s_u-flux_d_u).^2 + (flux_s_v-flux_s_v).^2)*a_block*dt./h;

end
