clear,clc;close all;
load('local_out/mooring_c.mat');addpath('local_fun')

%%% make date vectors
dv_dA = datevec(mooring_c.d.time{1});dv_dB= datevec(mooring_c.d.time{2});
dv_dD = datevec(mooring_c.d.time{3});

mooring_daily = my_d_daily_ave(mooring_c,dv_dA,dv_dB,dv_dD);
mooring_daily.s36 = my_s_daily_ave(mooring_c.s36);
mooring_daily.s9 = my_s_daily_ave(mooring_c.s9);
mooring_daily.s2 = my_s_daily_ave_2km(mooring_c.s2);
mooring_daily.s2.dz = mooring_c.s2.dz;
mooring_daily.s9.dz = mooring_c.s9.dz;
mooring_daily.s36.dz = mooring_c.s9.dz;
mooring_daily.d.dz = mooring_c.dz;

for n = 1:3
    mooring_daily.name{n} = mooring_c.name{n};
    mooring_daily.loc{n} = mooring_c.loc{n};
end

save('local_out/mooring_daily','mooring_daily')