clear;close all;clc
load('local_out/mooring_fianl.mat');
cd figures
scrsz = get(groot,'ScreenSize');
for n=1:3
    figure('Position',[1 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2])
    subplot(4,1,1)
    pcolor(mooring_final.Time,-mooring_final.d.dz{n},mooring_final.d.u{n})
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1]);ylim([-25 0])
    title(sprintf('mooring %s eastward',mooring_final.name{n}(7)));ylabel(h,'data');
    subplot(4,1,2)
    pcolor(mooring_final.Time,mooring_final.s36.dz,mooring_final.s36.u{n});ylim([-25 0])
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1]);
    ylabel(h,'36km');
    subplot(4,1,3)
    pcolor(mooring_final.Time,mooring_final.s9.dz,mooring_final.s9.u{n});ylim([-25 0])
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1])
    ylabel(h,'9km');
    subplot(4,1,4)
    pcolor(mooring_final.Time,-mooring_final.s2.dz,mooring_final.s2.u{n});ylim([-25 0])
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1])
    ylabel(h,'2km');
    print(gcf,'-djpeg','-r 640',sprintf('mooring %s eastward',mooring_final.name{n}(7)))
    figure('Position',[1 scrsz(4)/2 scrsz(3)/2 scrsz(4)/2])
    subplot(4,1,1)
    pcolor(mooring_final.Time,-mooring_final.d.dz{n},mooring_final.d.v{n})
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1]);ylim([-25 0])
    ylabel(h,'data');
    title(sprintf('mooring %s northward',mooring_final.name{n}(7)))
    subplot(4,1,2)
    pcolor(mooring_final.Time,mooring_final.s36.dz,mooring_final.s36.v{n});ylim([-25 0])
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1])
    ylabel(h,'36km');
    subplot(4,1,3)
    pcolor(mooring_final.Time,mooring_final.s9.dz,mooring_final.s9.v{n});ylim([-25 0])
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1])
    ylabel(h,'9km');
    subplot(4,1,4)
    pcolor(mooring_final.Time,-mooring_final.s2.dz,mooring_final.s2.v{n});ylim([-25 0])
    shading flat;h=colorbar;colormap('jet');datetick('x','mmm');caxis([-0.1 0.1])
    ylabel(h,'2km');
        print(gcf,'-djpeg','-r 640',sprintf('mooring %s northward',mooring_final.name{n}(7)))
end