clear all
clc

input_address = pwd;


% assuming we started from 1992 we want to remove everything from 1992 to
% 2006
iter_2006 = datenum(2006,1,0) -  datenum(1992,1,0); 



do_velocities = 1
do_map = 1

while do_velocities == 1
    display('reading U fields');
    
    
    u_field=ncread('UVEL.0000000000.glob.nc','UVEL',[1 1 1 iter_2006],[Inf Inf Inf Inf]);
    %Uvel is somehow wrong size
    %u_field = permute(u_field,[4 2 3 1]);
    
    UVEL_2=ncread('UVEL.0000891504.glob.nc','UVEL');
    u_field = cat(4,u_field,UVEL_2);
    clear UVEL_2
    save('u_field','u_field','-v7.3')
    clear u_field;
    
    display('reading V fields');
    v_field=ncread('VVEL.0000000000.glob.nc','VVEL',[1 1 1 iter_2006],[Inf Inf Inf Inf]);
    VVEL_2=ncread('VVEL.0000847152.glob.nc','VVEL');
    v_field = cat(4,v_field,VVEL_2);
%     save('v_field1','v_field1','-v7.3')
%     save('v_field2','v_field2','-v7.3')
    save('v_field','v_field','-v7.3')

    clear v_field;
    clear VVEL_2;
    
    
    while do_map == 1
        
        cd('/media/arash/SSD128/Post proc/inputs/constants')
        lat=fread(fopen('LATC.bin'),'single','b');
        lon=fread(fopen('LONC.bin'),'single','b');
        fclose('all');
        AngleCS=ncread('grid.glob.nc','AngleCS');
        AngleSN=ncread('grid.glob.nc','AngleSN');
        
        cd(input_address)
%         fix velocity fields ? 
        load u_field;load v_field;
        
        display('remaping V-U');
        for jj=1:size(u_field,3)
            for ii=1:size(u_field,4)
                
                [u_field(:,:,jj,ii),v_field(:,:,jj,ii)] = getuEvN_uXvY(squeeze(u_field(:,:,jj,ii)),squeeze(v_field(:,:,jj,ii)),AngleCS,AngleSN,lon,lat,-1000,1,0);
            end
            jj
        end
        u_field_m = u_field;
        v_field_m = v_field;
        save('u_field_m','u_field_m','-v7.3')
        save('v_field_m','v_field_m','-v7.3')
        clear u_field_m;clear v_field_m;
        
        break
    end
    
%     display('reading W fields');
%     WVEL=ncread('WVEL.0000000000.glob.nc','WVEL');
%     WVEL_2=ncread('WVEL.0000900000.glob.nc','WVEL');
%     WVEL = cat(4,WVEL,WVEL_2);
%     clear WVEL_2;
%     save('w_field','w_field','-v7.3')
%     clear w_field
    
    break
end

display('reading salinity fields');

salt_field=ncread('SALT.0000000000.glob.nc','SALT',[1 1 1 iter_2006],[Inf Inf Inf Inf]);
salt_field_2=ncread('SALT.0000900000.glob.nc','SALT');
salt_field = cat(4,salt_field,salt_field_2);
clear salt_field_2;
save('salt_field','salt_field','-v7.3')
clear salt_field;

display('reading temp fields');

theta_field=ncread('THETA.0000000000.glob.nc','THETA',[1 1 1 iter_2006],[Inf Inf Inf Inf]);
theta_field_2=ncread('THETA.0000900000.glob.nc','THETA');

 %theta is somehow wrong size
%     theta_field = permute(theta_field,[4 2 3 1]);

theta_field = cat(4,theta_field,theta_field_2);
clear theta_field_2;
save('theta_field','theta_field','-v7.3')
clear theta_field;
toc