clear all;clc,close all;

load('/media/arash/SSD128/Post proc/inputs/constants/coord.mat')

input_address = pwd;
cd (input_address)



tic
%inputs
number_days=2801;
% number_days=1;
min_lon_west=-90;
% remeber to change the last line of 'for' and 'save' command.

%loading

% load('/media/arash/SSD128/Post proc/inp')
% data1=lon;
% data2=lat;

load('iu_field_m.mat')
load('iv_field_m.mat')
load('i_area.mat')
load('i_heff.mat')
load('etan.mat')

data1 = i_area;
data2 = i_heff;
data3 = iu_field_m;
data4 = iv_field_m;
data5 = etan;

%limiting the simulation results saves compution time
[id_row,id_col]=find(lon<min_lon_west);
id_row=min(id_row);id_col=min(id_col);
id_row=size(lon,1)-id_row+1;
id_col=size(lon,2)-id_col+1;

for i=1:number_days
    temp1=data1(:,:,i);
    temp2=data2(:,:,i);
    temp3=data3(:,:,i);
    temp4=data4(:,:,i);
    temp5=data5(:,:,i);
    temp1=temp1(lon<min_lon_west);
    temp2=temp2(lon<min_lon_west);
    temp3=temp3(lon<min_lon_west);
    temp4=temp4(lon<min_lon_west);
    temp5=temp5(lon<min_lon_west);
    %     lon_t(:,:,i)=reshape(temp1,id_row,id_col);
    %     lat_t(:,:,i)=reshape(temp2,id_row,id_col);
    i_area_t(:,:,i) = reshape(temp1,id_row,id_col);
    i_heff_t(:,:,i) = reshape(temp2,id_row,id_col);
    iu_field_m_t(:,:,i) = reshape(temp3,id_row,id_col);
    iv_field_m_t(:,:,i) = reshape(temp4,id_row,id_col);
    etan_t(:,:,i) = reshape(temp5,id_row,id_col);	

end

% save ('coord_t.mat','lon_t','lat_t')
save('i_area_t','i_area_t')
save('i_heff_t','i_heff_t')
save ('iu_field_m_t','iu_field_m_t')
save ('iv_field_m_t','iv_field_m_t')
save ('etan_t','etan_t')

toc