clear, clc, close all

input_dir = pwd;
% cd to grid folder 
cd ('/media/arash/SSD512/Post proc/inputs/T31/grid/')



AngleCS = ncread('grid.glob.nc','AngleCS');
AngleSN = ncread('grid.glob.nc','AngleSN');
lat = ncread('grid.glob.nc','YC');
lon = ncread('grid.glob.nc','XC');

% back to input dir
cd (input_dir)

start_date = datenum(1992,1,1)-1;
last_year = 2013;

file_list = FileIn('glob');


for i = 1:length(file_list)
    
    
    f_nam = file_list{i};
    
    file_info = ncinfo(f_nam);
    
    
    display(sprintf('reading %s',f_nam));
    varname = sprintf('\''%s\''',f_nam(1:end-19));
    time_foo = ncread(sprintf('%s',f_nam),'T');
    model_time = datevec(start_date + time_foo/(24*3600));
    [a_year ,year_id ,day_id] = unique(model_time(:,1));
    
    for j = 1:length(a_year)
        
        days_in_year = (datenum(a_year(j)+1,1,1) - datenum(a_year(j),1,1));
        days_in_record = sum(model_time(:,1) == a_year(j));
        if ( days_in_record == days_in_year  || a_year(j) == last_year)
            
            eval(sprintf('%s_%d = ncread(f_nam,%s,[1 1 1 %d],[Inf Inf Inf %d]);',f_nam(1:end-19),a_year(j),varname,year_id(j),days_in_record));
            save(sprintf('%s_%d',varname(2:end-1),a_year(j)),sprintf('%s_%d',varname(2:end - 1),a_year(j)),'-v7.3')
            clear(sprintf('%s_%d',varname(2:end-1),a_year(j)))
        else
            
            if j ~= 1
                
                eval(sprintf('file_pt1 = ncread(f_nam,%s,[1 1 1 %d],[Inf Inf Inf %s]);',varname,year_id(j),'inf'));
                
            else
                
                eval(sprintf('file_pt2 = ncread(f_nam,%s,[1 1 1 %d],[Inf Inf Inf %d]);',varname,year_id(j),year_id(2)-1));
                eval(sprintf('%s_%d = cat(4,file_pt1,file_pt2);',f_nam(1:end-19),a_year(j)));
                
                clear ('file_pt1','file_pt2')
                save(sprintf('%s_%d',varname(2:end-1),a_year(j)),sprintf('%s_%d',varname(2:end - 1),a_year(j)),'-v7.3')
                clear(sprintf('%s_%d',varname(2:end-1),a_year(j)))
            end
            
            
        end
        
    end
end





%
% for ii = 1:size(SIuice,4)
%
%         [uI1,vI1] = getuEvN_uXvY(squeeze(SIuice(:,:,1,ii)),squeeze(SIvice(:,:,1,ii)),AngleCS,AngleSN,lon,lat,-1000,1,0);
%     SIuice_m(:,:,ii) = uI1;
%     SIvice_m(:,:,ii) = vI1;
% end