% in this step we want Wind at points from 2006 to 2013
clc;clear;close all;
addpath('local_fun/');
load('/media/arash/SSD128/Post proc/inputs/constants/msturuct.mat')
addpath('/media/arash/MITgcmfiles/MITgcm/MITgcm/MITgcm_contrib/arctic/jra25')
%setting the points;
p1 = [79.9994, -131.8257];[x1,y1] = mfwdtran(mstruct,p1(1),p1(2));
p2 = [74.7693, -163.5184];[x2,y2] = mfwdtran(mstruct,p2(1),p2(2));
p3 = [70.8250, -169.8265];[x3,y3] = mfwdtran(mstruct,p3(1),p3(2));


%Wind
%rean grid
[lat_v,lon_v,~] = read_jra25('jra25_u10m_2005',2005);
[lat_it,lon_it] = meshgrid(lat_v,lon_v);
[lat_i,lon_i] = ...
        mfwdtran(mstruct,lat_it,lon_it);
my_del{1}=griddata_preprocess(lat_i,lon_i,x1,y1);
my_del{2}=griddata_preprocess(lat_i,lon_i,x2,y2);
my_del{3}=griddata_preprocess(lat_i,lon_i,x3,y3);


for n = 1:7
    fnm_rean_u = sprintf('jra25_u10m_%d',2005+n);
    fnm_rean_v = sprintf('jra25_v10m_%d',2005+n);
    [~,~,jra_u] =  read_jra25(fnm_rean_u,2005+n);
    [~,~,jra_v] =  read_jra25(fnm_rean_v,2005+n);
    jra_speed = sqrt(jra_u.^2 + jra_v.^2);
    for i = 1:size(jra_speed,3)
        for m = 1:3
            wind_at_p{n,m}(1,i) = griddata_fast(my_del{m},jra_speed(:,:,i));
        end
    end
    n
end
for m = 1:3
wind_j{m} = cat(2,wind_at_p{1,m},wind_at_p{2,m},wind_at_p{3,m},wind_at_p{4,m},wind_at_p{5,m},wind_at_p{6,m},wind_at_p{7,m})
end
cd local_out
save('wind_j','wind_j')