function [out_s] = my_s_daily_ave_2km(foo_in)

d_v = datevec(foo_in.time);
[indx1 ,~ ,indx3_d] = unique(d_v(:,1:3),'rows');
out_s.time = datenum(indx1);

for m_num = 1:length(foo_in.s)
    
    
    for i = 1:size(foo_in.s{m_num},1)
        out_s.u{m_num}(i,:) = accumarray(indx3_d,squeeze(foo_in.u{m_num}(i,:)),[],@nanmean);
        out_s.v{m_num}(i,:) = accumarray(indx3_d,squeeze(foo_in.v{m_num}(i,:)),[],@nanmean);
        out_s.s{m_num}(i,:) = accumarray(indx3_d,squeeze(foo_in.s{m_num}(i,:)),[],@nanmean);
        out_s.t{m_num}(i,:) = accumarray(indx3_d,squeeze(foo_in.t{m_num}(i,:)),[],@nanmean);
    end
end

end