%%UV long lat

clear all
clc

input_address = pwd;

cd('/media/arash/SSD128/Post proc/inputs/constants')
lat=fread(fopen('LATC.bin'),'single','b');
lon=fread(fopen('LONC.bin'),'single','b');
fclose('all');

cd(input_address)
AngleCS=ncread('grid.glob.nc','AngleCS');
AngleSN=ncread('grid.glob.nc','AngleSN');



SIvice=ncread('SIvice.0000000000.glob.nc','SIvice');
SIuice=ncread('SIuice.0000000000.glob.nc','SIuice');

for ii=1:size(SIuice,4)
    
    
    [uI1,vI1] = getuEvN_uXvY(squeeze(SIuice(:,:,1,ii)),squeeze(SIvice(:,:,1,ii)),AngleCS,AngleSN,lon,lat,-1000,1,0);
    iu_field_m(:,:,ii) = uI1;
    iv_field_m(:,:,ii) = vI1;
    
end

save('iu_field_m','iu_field_m','-v7.3')
save('iv_field_m','iv_field_m','-v7.3')
clear SIvice;clear SIuice;clear iu_field_m;clear iv_field_m;

do_3d = 1;
while do_3d == 1
    
display('reading Velocity fields');
VVEL=ncread('VVEL.0000000000.glob.nc','VVEL');
UVEL=ncread('UVEL.0000000000.glob.nc','UVEL');

for jj=1:size(UVEL,3)
    for ii=1:size(UVEL,4)
        
       [UVEL(:,:,jj,ii),VVEL(:,:,jj,ii)] = getuEvN_uXvY(squeeze(UVEL(:,:,jj,ii)),squeeze(VVEL(:,:,jj,ii)),AngleCS,AngleSN,lon,lat,-1000,1,0);
   end
   jj
end

u_field_m = UVEL;
clear UVEL;
v_field_m = VVEL;
clear VVEL;

save('u_field_m','u_field_m','-v7.3')
save('v_field_m','v_field_m','-v7.3')
clear u_field_m;clear v_field_m;

% 
% w_field=ncread('WVEL.0000000000.glob.nc','WVEL');
% save('w_field','w_field','-v7.3')
% clear w_field


display('reading salinity and temp fields, and P');
salt_field=ncread('SALT.0000000000.glob.nc','SALT');
save('salt_field','salt_field','-v7.3')
clear salt_field;

theta_field=ncread('THETA.0000000000.glob.nc','THETA');
save('theta_field','theta_field','-v7.3')
clear theta_field;

% p_hydro = squeeze(ncread('PHIHYD.0000000000.glob.nc','PHIHYD'));
% save('p_hydro','p_hydro','-v7.3')
% clear p_hydro;

break
end

display('reading ETAN,KPP and ice-char fields');
i_area=squeeze(ncread('SIarea.0000000000.glob.nc','SIarea'));
save('i_area','i_area','-v7.3')
clear i_area;

i_heff=squeeze(ncread('SIheff.0000000000.glob.nc','SIheff'));
save('i_heff','i_heff','-v7.3')
clear i_heff;

etan = squeeze(ncread('ETAN.0000000000.glob.nc','ETAN'));
save('etan','etan','-v7.3')
clear etan;

KPPhbl=squeeze(ncread('KPPhbl.0000000000.glob.nc','KPPhbl'));
save('KPPhbl','KPPhbl','-v7.3')
clear KPPhbl;





display('done making input files @');display(pwd);