clc;clear all;close all;

%% loading inputs

% load ('/media/arash/SSD128/Post proc/inputs/constants/ricex.mat')
% load ('station_ts.mat')

input_address = pwd

% cd ('C:\Users\Arash\Dropbox\matlab_office')
load itp_ts_sim_t40.mat
load ('/media/arash/SSD512/Post proc/inputs/constants/itp_ts_obs.mat')



% cd(sprintf('%s/output_ts_itp',pwd))

% start_date = datenum(2005,1,1);


%% Sorting the ITP number
n = 1;
m = 1;
o = 1;

itp_mat_date_obs{m}{o} = itp_date_obs{n};
itp_mat_date_sim{m}{o} = itp_date_sim{n};
itp_mat_num_obs{m}{1} = itp_num_obs{n};
itp_mat_num_sim{m}{1} = itp_num_sim{n};
itp_mat_p_db_obs{m}{o} = itp_p_db_obs{n};
itp_mat_p_db_sim{m}{o} = itp_p_db_sim{n};
itp_mat_s_obs{m}{o} = itp_s_obs{n};
itp_mat_s_sim{m}{o} = itp_s_sim{n};
itp_mat_t_obs{m}{o} = itp_t_obs{n};
itp_mat_t_sim{m}{o} = itp_t_sim{n};
itp_mat_lat{m}{o} = itp_lat_obs{n};
itp_mat_lon{m}{o} = itp_lon_obs{n};

n = 2;
o = 2;

while n <= length(itp_date_obs)
    
    if n ~= length(itp_date_obs) && ~strcmpi(itp_num_obs{n},itp_num_obs{n-1})
        
        m = m+1;
        o = 1;
        
    end
    
    itp_mat_date_obs{m}{o} = itp_date_obs{n};
    itp_mat_date_sim{m}{o} = itp_date_sim{n};
    itp_mat_num_obs{m}{1} = itp_num_obs{n};
    itp_mat_num_sim{m}{1} = itp_num_sim{n};
    itp_mat_p_db_obs{m}{o} = itp_p_db_obs{n};
    itp_mat_p_db_sim{m}{o} = itp_p_db_sim{n};
    itp_mat_s_obs{m}{o} = itp_s_obs{n};
    itp_mat_s_sim{m}{o} = itp_s_sim{n};
    itp_mat_t_obs{m}{o} = itp_t_obs{n};
    itp_mat_t_sim{m}{o} = itp_t_sim{n};
    itp_mat_lat{m}{o} = itp_lat_obs{n};
    itp_mat_lon{m}{o} = itp_lon_obs{n};
    
    o = o+1;
    
    
    n = n+1;
    
end

%% Sorting the ITP dates removing bad data and 

for i = 1:length(itp_mat_p_db_obs)
    
    for j = 1:length(itp_mat_p_db_obs{i})
        
        if (numel(itp_mat_t_obs{i}{j}) <=20) || ~all(diff(itp_mat_p_db_obs{i}{j})>0)
            
            s_inte_obs{i}(:,j) = NaN;
            t_inte_obs{i}(:,j) = NaN;
            
            p_inte_obs = 0:300;
            date_inte{i}(j) = itp_mat_date_obs{i}{j};
            itp_inte_lat{i}(j) = itp_mat_lat{i}{j};
            itp_inte_lon{i}(j) = itp_mat_lon{i}{j};
            
        else
              
            
            
            
            p_inte_obs = 0:300;
            date_inte{i}(j) = itp_mat_date_obs{i}{j};
            itp_inte_lat{i}(j) = itp_mat_lat{i}{j};
            itp_inte_lon{i}(j) = itp_mat_lon{i}{j};
            s_inte_obs{i}(:,j) = interp1(itp_mat_p_db_obs{i}{j},itp_mat_s_obs{i}{j}, p_inte_obs);
            t_inte_obs{i}(:,j) = interp1(itp_mat_p_db_obs{i}{j},itp_mat_t_obs{i}{j}, p_inte_obs);
            
            
        end
        
        p_inte_sim = itp_mat_p_db_sim{1,1}{1,1};
        s_inte_sim{i}(:,j) = itp_mat_s_sim{i}{j};
        t_inte_sim{i}(:,j) = itp_mat_t_sim{i}{j};
        
    end
end

%% Density

%sal_parctical to absolute salinity & insitu temp to conservative Temp
% assumed rho0=1030, calculated  the right one then used it to find P
% Model output is Conservative tempreture degC and Salt is absolute sal (in g/kg)

for i = 1:length(itp_mat_p_db_obs)
    
    for j = 1:length(itp_mat_p_db_obs{i})
        
        p0_obs = p_inte_obs'*1.03;
        p0_sim = p_inte_sim'*1.03;
        
        lat = itp_inte_lat{i}(j);
        long = itp_inte_lon{i}(j);
        
        %         sal_p_sim{i}(:,j) = s_inte_sim{i}(:,j);
        %         temp_insitu_sim{i}(:,j) = t_inte_sim{i}(:,j);
        
        sal_p_obs{i}(:,j) = s_inte_obs{i}(:,j);
        temp_insitu_obs{i}(:,j) = t_inte_obs{i}(:,j);
        
        %         sal_a_sim{i}(:,j) = gsw_SA_from_SP(sal_p_sim{i}(:,j),p0_sim,long,lat);
        %         temp_con_sim{i}(:,j)= gsw_CT_from_pt(sal_a_sim{i}(:,j) ,temp_insitu_sim{i}(:,j));
        
        sal_a_sim{i}(:,j) =  s_inte_sim{i}(:,j);
        temp_con_sim{i}(:,j) = t_inte_sim{i}(:,j);
        
        
        rho_sim{i}(:,j) = gsw_rho(sal_a_sim{i}(:,j) ,temp_con_sim{i}(:,j) ,p0_sim);
        
        sal_a_obs{i}(:,j) = gsw_SA_from_SP(sal_p_obs{i}(:,j),p0_obs,long,lat);
        temp_con_obs{i}(:,j)= gsw_CT_from_t(sal_a_obs{i}(:,j) ,temp_insitu_obs{i}(:,j) ,p0_obs);
        rho_obs{i}(:,j) = gsw_rho(sal_a_obs{i}(:,j) ,temp_con_obs{i}(:,j) ,p0_obs);
        
%         [mld_obs{i}(1,j)] = mld_finder(p0_obs,rho_obs{i}(:,j));
%         [mld_sim{i}(1,j)] = mld_finder(p0_sim,rho_sim{i}(:,j));
        
    end
    
end

save('itp_ts_rho_obs','s_inte_obs','t_inte_obs','date_inte','itp_inte_lat','itp_inte_lon','p_inte_obs','itp_mat_num_obs','rho_obs')
save('itp_ts_rho_sim','s_inte_sim','t_inte_sim','date_inte','itp_inte_lat','itp_inte_lon','p_inte_sim','itp_mat_num_sim','rho_sim')
