% in this step we want SI cover and velocity at points from 2006 to 2013
clc;clear;close all;
addpath('local_fun/');
load('/media/arash/SSD128/Post proc/inputs/constants/msturuct.mat')
addpath ('/media/arash/SSD128/Post proc/inputs/T18/')
load ('/media/arash/SSD128/Post proc/inputs/constants/coord_t.mat')
load('iu_field_m_t');load('iv_field_m_t.mat');load('i_area_t');
%setting the points;
p1 = [79.9994, -131.8257];[x1,y1] = mfwdtran(mstruct,p1(1),p1(2));
p2 = [74.7693, -163.5184];[x2,y2] = mfwdtran(mstruct,p2(1),p2(2));
p3 = [70.8250, -169.8265];[x3,y3] = mfwdtran(mstruct,p3(1),p3(2));

%SI
%rean grid

[lat_i,lon_i] = ...
    mfwdtran(mstruct,lat_t,lon_t);
my_del{1}=griddata_preprocess(lat_i,lon_i,x1,y1);
my_del{2}=griddata_preprocess(lat_i,lon_i,x2,y2);
my_del{3}=griddata_preprocess(lat_i,lon_i,x3,y3);
ispeed = sqrt(iu_field_m_t.^2+iv_field_m_t.^2);


for i = 1:size(i_area_t,3)
    for m = 1:3
        i_at_p{m}(1,i) = griddata_fast(my_del{m},i_area_t(:,:,i));
        is_at_p{m}(1,i) = griddata_fast(my_del{m},ispeed(:,:,i));
    end
    i
end

for n = 1:3
    
    i_at_p{n}(2558:end) = [];
    is_at_p{n}(2558:end) = [];
end
cd local_out
save('ice_force','i_at_p','is_at_p')