clc;close all;clear;
addpath('local_out/');
load('ice_force');load('wind_j');load('keff_at_p')

final_mat(:,3) = cat(2,k_at_p{1},k_at_p{2},k_at_p{3})';
final_mat(:,2) = cat(2,is_at_p{1},is_at_p{2},is_at_p{3})';
final_mat(:,1) = cat(2,wind_j{1},wind_j{2},wind_j{3})';
final_mat(1:length(k_at_p{1}),4) = 1;
final_mat(length(k_at_p{1})+1:length(k_at_p{1})+length(k_at_p{2}),4) = 2;
final_mat(length(k_at_p{1})+length(k_at_p{2})+1:length(k_at_p{1})+length(k_at_p{2})+length(k_at_p{3}),4) = 3;
final_mat = sortrows(final_mat,3);


for i = 1:3
[k_at_p{i} ,s_ind{i}] = sort(k_at_p{i}); 
wind_j{i}=wind_j{i}(s_ind{i});
is_at_p{i}=is_at_p{i}(s_ind{i});
end

std_c = 3;
%%% adding boundaries
for i = 1:3
   wind_j2{i} = wind_j{i};
   is_at_p2{i} = is_at_p{i};
ind1{i} = (wind_j{i} > mean(wind_j{i})+std_c*std(wind_j{i}));
ind2{i} = (wind_j{i} < mean(wind_j{i})-std_c*std(wind_j{i}));
ind3{i} = (is_at_p{i} > mean(is_at_p{i})+std_c*std(is_at_p{i}));
ind4{i} = (is_at_p{i} < mean(is_at_p{i})-std_c*std(is_at_p{i}));
ind_f{i} = (ind1{i}|ind2{i}|ind3{i}|ind4{i});
wind_j2{i}(ind_f{i}) = [];
is_at_p2{i}(ind_f{i}) = [];
end

k1 = convhull(wind_j2{1},is_at_p2{1});
k2 = convhull(wind_j2{2},is_at_p2{2});
k3 = convhull(wind_j2{3},is_at_p2{3});
% figure
% subplot 131
% s1=scatter(wind_j{1},is_at_p{1},10.*k_at_p{1},k_at_p{1},'d','filled');hold on;
% % 
% % h=colorbar;colormap('jet')
% p1=patch(wind_j2{1}(k1),is_at_p2{1}(k1),'k','FaceAlpha',0.2,'EdgeAlpha',0);
% % ylabel(h,'K md^{-1}');
% xlim([0 20])
% xlabel('wind speed ms^{-1}'),caxis([0 10])
% ylabel('ice speed ms^{-1}');ylim([0 0.5])
% title('P1')
% subplot 132
% s2=scatter(wind_j{2},is_at_p{2},10.*k_at_p{2},k_at_p{2},'s','filled');hold on;
% % h=colorbar;colormap('jet')
% p2=patch(wind_j2{2}(k2),is_at_p2{2}(k2),'k','FaceAlpha',0.2,'EdgeAlpha',0);
% % ylabel(h,'K md^{-1}');
% xlim([0 20])
% xlabel('wind speed ms^{-1}'),caxis([0 10])
% ylabel('ice speed ms^{-1}');ylim([0 0.5])
% title('P2')
% subplot 133
% s3=scatter(wind_j{3},is_at_p{3},10.*k_at_p{3},k_at_p{3},'o','filled');hold on;
% h=colorbar('horizental');colormap('jet')
% p3=patch(wind_j2{3}(k3),is_at_p2{3}(k3),'k','FaceAlpha',0.2,'EdgeAlpha',0);
% ylabel(h,'K md^{-1}');xlim([0 20])
% xlabel('wind speed ms^{-1}'),caxis([0 10])
% ylabel('ice speed ms^{-1}');ylim([0 0.5])
% title('P3');


hfigure = figure;
% s1=scatter(wind_j{1},is_at_p{1},10.*k_at_p{1},k_at_p{1},'d','filled');hold on;
% s2=scatter(wind_j{2},is_at_p{2},10.*k_at_p{2},k_at_p{2},'s','filled');hold on;
% s3=scatter(wind_j{3},is_at_p{3},10.*k_at_p{3},k_at_p{3},'o','filled');hold on;
s1=scatter(wind_j{1},is_at_p{1},10.*k_at_p{1},'g','d');hold on;
s2=scatter(wind_j{2},is_at_p{2},10.*k_at_p{2},'r','s');
s3=scatter(wind_j{3},is_at_p{3},10.*k_at_p{3},'b','o');
% h=colorbar;colormap('jet')
ylabel('ice speed ms^{-1}');ylim([0 0.5])
% ylabel(h,'K md^{-1}');
xlim([0 20])
xlabel('wind speed ms^{-1}'),caxis([0 10])
hLegend1 = legend([s1,s2,s3],'P1','P2','P3');

p1=patch(wind_j2{1}(k1),is_at_p2{1}(k1),'g','FaceAlpha',0.2,'EdgeAlpha',0);
p2=patch(wind_j2{2}(k2),is_at_p2{2}(k2),'r','FaceAlpha',0.2,'EdgeAlpha',0);
p3=patch(wind_j2{3}(k3),is_at_p2{3}(k3),'b','FaceAlpha',0.2,'EdgeAlpha',0);
% text(20,0.05,'p1');text(12,0.2,'p2');text(4,0.45,'P3')

%     ah=axes('position',get(gca,'position'),...
%             'visible','off');
% figure 

%  ah=axes('position',get(gca,'position'),...
%             'visible','off','box','off','color','none','XTick',[],'YTick',[]);
% text(5, 0.5, {'{\fontsize{18}\color{black} o } black', '{\color{black} o } Blue', '{\color{black} o } Black'}, 'EdgeColor', 'k');
h2=figure;
bubsizes = 10.*[0.1 2 5 7 10];
% ax2 = axis(ax1);
% set(ax2,'visible','off')
hold on
legentry=cell(size(bubsizes));
for ind = 1:numel(bubsizes)
   bubleg(ind) = plot(0,0,'ko','markersize',sqrt(bubsizes(ind)),'MarkerFaceColor','black');
   set(bubleg(ind),'visible','off')
   legentry{ind} = sprintf('%s md^{-1}',num2str(bubsizes(ind)./10));
end
set(gca,'visible','off')
ax2 = get(gca);
my_leg = legend(legentry);
copyobj(h2.Children,hfigure)
% hMarkers = findobj(hLegend,'type','patch');
% set(hMarkers, 'MarkerEdgeColor','k', 'MarkerFaceColor','k');

